Index: /code/branches/cpp11_v2/test/core/command/FunctorTest.cc
===================================================================
--- /code/branches/cpp11_v2/test/core/command/FunctorTest.cc	(revision 10983)
+++ /code/branches/cpp11_v2/test/core/command/FunctorTest.cc	(revision 10984)
@@ -316,6 +316,6 @@
         {
             FunctorMemberPtr<DestroyableClass> functor = createFunctor(&DestroyableClass::method2);
-            float result = (*functor)(&object, 0, 111.11);
-            EXPECT_FLOAT_EQ(111.11, result);
+            float result = (*functor)(&object, 0, 111.11f);
+            EXPECT_FLOAT_EQ(111.11f, result);
         }
         {
@@ -486,22 +486,22 @@
         }
         {
-            EXPECT_CALL(mock, method2(13, 111.11)).WillOnce(::testing::Return(0.0));
+            EXPECT_CALL(mock, method2(13, 111.11f)).WillOnce(::testing::Return(0.0f));
             FunctorMemberPtr<DestroyableClass> functor = createFunctor(&DestroyableClass::method2);
-            (*functor)(&mock, 13, 111.11);
-        }
-        {
-            EXPECT_CALL(mock, method3(13, 111.11, true)).WillOnce(::testing::Return(false));
+            (*functor)(&mock, 13, 111.11f);
+        }
+        {
+            EXPECT_CALL(mock, method3(13, 111.11f, true)).WillOnce(::testing::Return(false));
             FunctorMemberPtr<DestroyableClass> functor = createFunctor(&DestroyableClass::method3);
-            (*functor)(&mock, 13, 111.11, true);
-        }
-        {
-            EXPECT_CALL(mock, method4(13, 111.11, true, "test")).WillOnce(::testing::Return(""));
+            (*functor)(&mock, 13, 111.11f, true);
+        }
+        {
+            EXPECT_CALL(mock, method4(13, 111.11f, true, "test")).WillOnce(::testing::Return(""));
             FunctorMemberPtr<DestroyableClass> functor = createFunctor(&DestroyableClass::method4);
-            (*functor)(&mock, 13, 111.11, true, "test");
-        }
-        {
-            EXPECT_CALL(mock, method5(13, 111.11, true, "test", Vector3(3, 2, 1))).WillOnce(::testing::Return(Vector3()));
+            (*functor)(&mock, 13, 111.11f, true, "test");
+        }
+        {
+            EXPECT_CALL(mock, method5(13, 111.11f, true, "test", Vector3(3, 2, 1))).WillOnce(::testing::Return(Vector3()));
             FunctorMemberPtr<DestroyableClass> functor = createFunctor(&DestroyableClass::method5);
-            (*functor)(&mock, 13, 111.11, true, "test", Vector3(3, 2, 1));
+            (*functor)(&mock, 13, 111.11f, true, "test", Vector3(3, 2, 1));
         }
     }
@@ -521,22 +521,22 @@
         }
         {
-            EXPECT_CALL(mock, method2(13, 111.11)).WillOnce(::testing::Return(0.0));
+            EXPECT_CALL(mock, method2(13, 111.11f)).WillOnce(::testing::Return(0.0f));
             FunctorMemberPtr<DestroyableClass> functor = createFunctor(&DestroyableClass::method2, &mock);
-            (*functor)(13, 111.11);
-        }
-        {
-            EXPECT_CALL(mock, method3(13, 111.11, true)).WillOnce(::testing::Return(false));
+            (*functor)(13, 111.11f);
+        }
+        {
+            EXPECT_CALL(mock, method3(13, 111.11f, true)).WillOnce(::testing::Return(false));
             FunctorMemberPtr<DestroyableClass> functor = createFunctor(&DestroyableClass::method3, &mock);
-            (*functor)(13, 111.11, true);
-        }
-        {
-            EXPECT_CALL(mock, method4(13, 111.11, true, "test")).WillOnce(::testing::Return(""));
+            (*functor)(13, 111.11f, true);
+        }
+        {
+            EXPECT_CALL(mock, method4(13, 111.11f, true, "test")).WillOnce(::testing::Return(""));
             FunctorMemberPtr<DestroyableClass> functor = createFunctor(&DestroyableClass::method4, &mock);
-            (*functor)(13, 111.11, true, "test");
-        }
-        {
-            EXPECT_CALL(mock, method5(13, 111.11, true, "test", Vector3(3, 2, 1))).WillOnce(::testing::Return(Vector3()));
+            (*functor)(13, 111.11f, true, "test");
+        }
+        {
+            EXPECT_CALL(mock, method5(13, 111.11f, true, "test", Vector3(3, 2, 1))).WillOnce(::testing::Return(Vector3()));
             FunctorMemberPtr<DestroyableClass> functor = createFunctor(&DestroyableClass::method5, &mock);
-            (*functor)(13, 111.11, true, "test", Vector3(3, 2, 1));
+            (*functor)(13, 111.11f, true, "test", Vector3(3, 2, 1));
         }
     }
@@ -575,22 +575,22 @@
         }
         {
-            EXPECT_CALL(mock, method2(13, 111.11)).WillOnce(::testing::Return(0.0));
+            EXPECT_CALL(mock, method2(13, 111.11f)).WillOnce(::testing::Return(0.0f));
             FunctorStaticPtr functor = createFunctor(&DestroyableClass::staticmethod2);
-            (*functor)(13, 111.11);
-        }
-        {
-            EXPECT_CALL(mock, method3(13, 111.11, true)).WillOnce(::testing::Return(false));
+            (*functor)(13, 111.11f);
+        }
+        {
+            EXPECT_CALL(mock, method3(13, 111.11f, true)).WillOnce(::testing::Return(false));
             FunctorStaticPtr functor = createFunctor(&DestroyableClass::staticmethod3);
-            (*functor)(13, 111.11, true);
-        }
-        {
-            EXPECT_CALL(mock, method4(13, 111.11, true, "test")).WillOnce(::testing::Return(""));
+            (*functor)(13, 111.11f, true);
+        }
+        {
+            EXPECT_CALL(mock, method4(13, 111.11f, true, "test")).WillOnce(::testing::Return(""));
             FunctorStaticPtr functor = createFunctor(&DestroyableClass::staticmethod4);
-            (*functor)(13, 111.11, true, "test");
-        }
-        {
-            EXPECT_CALL(mock, method5(13, 111.11, true, "test", Vector3(3, 2, 1))).WillOnce(::testing::Return(Vector3()));
+            (*functor)(13, 111.11f, true, "test");
+        }
+        {
+            EXPECT_CALL(mock, method5(13, 111.11f, true, "test", Vector3(3, 2, 1))).WillOnce(::testing::Return(Vector3()));
             FunctorStaticPtr functor = createFunctor(&DestroyableClass::staticmethod5);
-            (*functor)(13, 111.11, true, "test", Vector3(3, 2, 1));
+            (*functor)(13, 111.11f, true, "test", Vector3(3, 2, 1));
         }
     }