Index: code/branches/cpp11_v2/src/libraries/util/Clock.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/Clock.h	(revision 10989)
+++ code/branches/cpp11_v2/src/libraries/util/Clock.h	(revision 10990)
@@ -102,6 +102,5 @@
 
     private:
-        /// Undefined
-        Clock(const Clock& instance);
+        Clock(const Clock&) = delete;
 
         Ogre::Timer*       timer_;       ///< Ogre timer object
Index: code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h	(revision 10989)
+++ code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h	(revision 10990)
@@ -87,5 +87,5 @@
 
     private:
-        DestructionHelper(const DestructionHelper&); //!< Don't use (undefined)
+        DestructionHelper(const DestructionHelper&) = delete;
 
         T* object_;
Index: code/branches/cpp11_v2/src/libraries/util/ImplicitConversion.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/ImplicitConversion.h	(revision 10989)
+++ code/branches/cpp11_v2/src/libraries/util/ImplicitConversion.h	(revision 10990)
@@ -68,5 +68,8 @@
     {
     private:
-        ImplicitConversion(); ImplicitConversion(const ImplicitConversion&); ~ImplicitConversion();
+        // static class, no instances allowed:
+        ImplicitConversion() = delete;
+        ImplicitConversion(const ImplicitConversion&) = delete;
+        ~ImplicitConversion() = delete;
         // Gets chosen only if there is an implicit conversion from FromType to ToType.
         static char test(ToType);
Index: code/branches/cpp11_v2/src/libraries/util/Singleton.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/Singleton.h	(revision 10989)
+++ code/branches/cpp11_v2/src/libraries/util/Singleton.h	(revision 10990)
@@ -144,5 +144,5 @@
 
     private:
-        Singleton(const Singleton& rhs); //!< Don't use (undefined)
+        Singleton(const Singleton&) = delete;
     };
 }
Index: code/branches/cpp11_v2/src/libraries/util/output/ConsoleWriter.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/ConsoleWriter.h	(revision 10989)
+++ code/branches/cpp11_v2/src/libraries/util/output/ConsoleWriter.h	(revision 10990)
@@ -53,5 +53,5 @@
         public:
             ConsoleWriter(std::ostream& outputStream);
-            ConsoleWriter(const ConsoleWriter&);
+            ConsoleWriter(const ConsoleWriter&) = delete;
             virtual ~ConsoleWriter();
 
Index: code/branches/cpp11_v2/src/libraries/util/output/LogWriter.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/LogWriter.h	(revision 10989)
+++ code/branches/cpp11_v2/src/libraries/util/output/LogWriter.h	(revision 10990)
@@ -57,5 +57,5 @@
         public:
             LogWriter();
-            LogWriter(const LogWriter&);
+            LogWriter(const LogWriter&) = delete;
             virtual ~LogWriter();
 
Index: code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.h	(revision 10989)
+++ code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.h	(revision 10990)
@@ -68,5 +68,5 @@
         public:
             MemoryWriter();
-            MemoryWriter(const MemoryWriter&);
+            MemoryWriter(const MemoryWriter&) = delete;
             virtual ~MemoryWriter();
 
Index: code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h	(revision 10989)
+++ code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h	(revision 10990)
@@ -67,5 +67,5 @@
         public:
             OutputManager();
-            OutputManager(const OutputManager&);
+            OutputManager(const OutputManager&) = delete;
             virtual ~OutputManager();
 