Index: code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/ApplicationPaths.h	(revision 10992)
@@ -104,5 +104,7 @@
 
         private:
+            // non-copyable:
             ApplicationPaths(const ApplicationPaths&) = delete;
+            ApplicationPaths& operator=(const ApplicationPaths&) = delete;
 
             std::vector<std::string> getModuleOrPluginPaths(boost::filesystem::path& directory, const std::string& extension);
Index: code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/ConfigurablePaths.h	(revision 10992)
@@ -93,5 +93,7 @@
 
         private:
+            // non-copyable:
             ConfigurablePaths(const ConfigurablePaths&) = delete;
+            ConfigurablePaths& operator=(const ConfigurablePaths&) = delete;
 
             boost::filesystem::path& dataPath_;              //!< Path to the data files folder
Index: code/branches/cpp11_v2/src/libraries/core/Core.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Core.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/Core.h	(revision 10992)
@@ -92,5 +92,7 @@
 
         private:
+            // non-copyable:
             Core(const Core&) = delete;
+            Core& operator=(const Core&) = delete;
 
             void setThreadAffinity(int limitToCPU);
Index: code/branches/cpp11_v2/src/libraries/core/GUIManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/GUIManager.h	(revision 10992)
@@ -151,5 +151,7 @@
 
     private:
+        // non-copyable:
         GUIManager(const GUIManager&) = delete;
+        GUIManager& operator=(const GUIManager&) = delete;
 
         void executeCode(const std::string& str);
Index: code/branches/cpp11_v2/src/libraries/core/Game.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Game.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/Game.h	(revision 10992)
@@ -145,5 +145,7 @@
         };
 
+        // non-copyable:
         Game(const Game&) = delete;
+        Game& operator=(const Game&) = delete;
 
         void loadGraphics();
Index: code/branches/cpp11_v2/src/libraries/core/GameMode.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/GameMode.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/GameMode.h	(revision 10992)
@@ -66,4 +66,5 @@
             GameMode() = delete;
             GameMode(const GameMode&) = delete;
+            GameMode& operator=(const GameMode&) = delete;
             ~GameMode() = delete;
 
Index: code/branches/cpp11_v2/src/libraries/core/GraphicsManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/GraphicsManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/GraphicsManager.h	(revision 10992)
@@ -102,5 +102,7 @@
 
     private:
+        // non-copyable:
         GraphicsManager(const GraphicsManager&) = delete;
+        GraphicsManager& operator=(const GraphicsManager&) = delete;
 
         // OGRE initialisation
Index: code/branches/cpp11_v2/src/libraries/core/Language.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Language.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/Language.h	(revision 10992)
@@ -171,5 +171,7 @@
 
         private:
+            // non-copyable:
             Language(const Language&) = delete;
+            Language& operator=(const Language&) = delete;
 
             void readDefaultLanguageFile();
Index: code/branches/cpp11_v2/src/libraries/core/Resource.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/Resource.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/Resource.h	(revision 10992)
@@ -144,4 +144,5 @@
         Resource() = delete;
         Resource(const Resource&) = delete;
+        Resource& operator=(const Resource&) = delete;
         ~Resource() = delete;
     };
Index: code/branches/cpp11_v2/src/libraries/core/class/Identifier.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/class/Identifier.h	(revision 10992)
@@ -118,6 +118,9 @@
         public:
             Identifier(const std::string& name, Factory* factory, bool bLoadable);
+            virtual ~Identifier();
+
+            // non-copyable:
             Identifier(const Identifier&) = delete;
-            virtual ~Identifier();
+            Identifier& operator=(const Identifier&) = delete;
 
             /// Returns the name of the class the Identifier belongs to.
@@ -302,5 +305,7 @@
 
         private:
+            // non-copyable:
             ClassIdentifier(const ClassIdentifier<T>&) = delete;
+            ClassIdentifier& operator=(const ClassIdentifier<T>&) = delete;
 
             void setConfigValues(T* object, Configurable*) const;
Index: code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/class/IdentifierManager.h	(revision 10992)
@@ -95,5 +95,7 @@
 
         private:
+            // non-copyable:
             IdentifierManager(const IdentifierManager&) = delete;
+            IdentifierManager& operator=(const IdentifierManager&) = delete;
 
             /// Increases the hierarchyCreatingCounter_s variable, causing all new objects to store their parents.
Index: code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/command/CommandExecutor.h	(revision 10992)
@@ -133,6 +133,9 @@
         private:
             CommandExecutor() = default;                      ///< Empty constructor
-            CommandExecutor(const CommandExecutor&) = delete; ///< Not implemented copy-constructor
             ~CommandExecutor() = default;                     ///< Empty destructor
+
+            // non-copyable:
+            CommandExecutor(const CommandExecutor&) = delete;
+            CommandExecutor& operator=(const CommandExecutor&) = delete;
 
             static CommandExecutor& getInstance();
Index: code/branches/cpp11_v2/src/libraries/core/command/IRC.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/IRC.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/command/IRC.h	(revision 10992)
@@ -65,6 +65,9 @@
 
             IRC();
+            ~IRC() = default;
+
+            // non-copyable:
             IRC(const IRC&) = delete;
-            ~IRC() = default;
+            IRC& operator=(const IRC&) = delete;
 
             Tcl::interpreter* interpreter_;     ///< The Tcl interpreter that is used for the IRC connection
Index: code/branches/cpp11_v2/src/libraries/core/command/Shell.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/Shell.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/command/Shell.h	(revision 10992)
@@ -149,5 +149,7 @@
 
         private:
+            // non-copyable:
             Shell(const Shell&) = delete;
+            Shell& operator=(const Shell&) = delete;
 
             // DevModeListener
Index: code/branches/cpp11_v2/src/libraries/core/command/TclBind.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/TclBind.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/command/TclBind.h	(revision 10992)
@@ -124,5 +124,7 @@
 
         private:
+            // non-copyable:
             TclBind(const TclBind&) = delete;
+            TclBind& operator=(const TclBind&) = delete;
 
             static std::string tcl_helper(Tcl::object const &args, bool bQuery);
Index: code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.h	(revision 10992)
@@ -107,5 +107,7 @@
 
     private:
+        // non-copyable:
         CommandLineArgument(const CommandLineArgument&) = delete;
+        CommandLineArgument& operator=(const CommandLineArgument&) = delete;
 
         //! Parses the value string of a command line argument.
Index: code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.h	(revision 10992)
@@ -67,5 +67,7 @@
 
         private:
+            // non-copyable:
             ConfigFileManager(const ConfigFileManager&) = delete;
+            ConfigFileManager& operator=(const ConfigFileManager&) = delete;
 
             std::array<ConfigFile*, 3> configFiles_;        ///< Stores the config files for each type in an array (must have the same size like ConfigFileType::Value)
Index: code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10992)
@@ -99,5 +99,7 @@
 
     private:
+        // non-copyable:
         InputDevice(const InputDevice&) = delete;
+        InputDevice& operator=(const InputDevice&) = delete;
 
         bool bCalibrating_;                  //!< Whether the device is in calibration mode
Index: code/branches/cpp11_v2/src/libraries/core/input/InputManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10992)
@@ -192,5 +192,7 @@
 
     private: // functions
+        // non-copyable:
         InputManager(const InputManager&) = delete;
+        InputManager& operator=(const InputManager&) = delete;
 
         // Internal methods
Index: code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.h	(revision 10992)
@@ -102,5 +102,8 @@
 
     private:
+        // non-copyable:
         KeyBinderManager(const KeyBinderManager&) = delete;
+        KeyBinderManager& operator=(const KeyBinderManager&) = delete;
+
         void keybindInternal(const std::string& command, bool bTemporary);
         void keybindKeyPressed(const std::string& keyName);
Index: code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h	(revision 10992)
@@ -48,5 +48,7 @@
 
     private:
+        // non-copyable:
         KeyDetector(const KeyDetector&) = delete;
+        KeyDetector& operator=(const KeyDetector&) = delete;
 
         void callback(const std::string& name);
Index: code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/tools/ResourceCollection.h	(revision 10992)
@@ -54,5 +54,7 @@
 
     private:
+        // non-copyable:
         ResourceCollection(const ResourceCollection&) = delete;
+        ResourceCollection& operator=(const ResourceCollection&) = delete;
 
         std::string resourceGroup_;
Index: code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/tools/ResourceLocation.h	(revision 10992)
@@ -60,5 +60,7 @@
 
     private:
+        // non-copyable:
         ResourceLocation(const ResourceLocation&) = delete;
+        ResourceLocation& operator=(const ResourceLocation&) = delete;
 
         void load(const std::string& resourceGroup);
Index: code/branches/cpp11_v2/src/libraries/tools/TextureGenerator.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/tools/TextureGenerator.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/tools/TextureGenerator.h	(revision 10992)
@@ -52,4 +52,5 @@
         TextureGenerator() = delete;
         TextureGenerator(const TextureGenerator&) = delete;
+        TextureGenerator& operator=(const TextureGenerator&) = delete;
         ~TextureGenerator() = delete;
 
Index: code/branches/cpp11_v2/src/libraries/util/Clock.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/Clock.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/util/Clock.h	(revision 10992)
@@ -102,5 +102,7 @@
 
     private:
+        // non-copyable:
         Clock(const Clock&) = delete;
+        Clock& operator=(const Clock&) = delete;
 
         Ogre::Timer*       timer_;       ///< Ogre timer object
Index: code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/util/DestructionHelper.h	(revision 10992)
@@ -87,5 +87,7 @@
 
     private:
+        // non-copyable:
         DestructionHelper(const DestructionHelper&) = delete;
+        DestructionHelper& operator=(const DestructionHelper&) = delete;
 
         T* object_;
Index: code/branches/cpp11_v2/src/libraries/util/ImplicitConversion.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/ImplicitConversion.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/util/ImplicitConversion.h	(revision 10992)
@@ -71,5 +71,7 @@
         ImplicitConversion() = delete;
         ImplicitConversion(const ImplicitConversion&) = delete;
+        ImplicitConversion& operator=(const ImplicitConversion&) = delete;
         ~ImplicitConversion() = delete;
+
         // Gets chosen only if there is an implicit conversion from FromType to ToType.
         static char test(ToType);
Index: code/branches/cpp11_v2/src/libraries/util/Singleton.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/Singleton.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/util/Singleton.h	(revision 10992)
@@ -144,5 +144,7 @@
 
     private:
+        // non-copyable:
         Singleton(const Singleton&) = delete;
+        Singleton& operator=(const Singleton&) = delete;
     };
 }
Index: code/branches/cpp11_v2/src/libraries/util/output/ConsoleWriter.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/ConsoleWriter.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/util/output/ConsoleWriter.h	(revision 10992)
@@ -53,5 +53,4 @@
         public:
             ConsoleWriter(std::ostream& outputStream);
-            ConsoleWriter(const ConsoleWriter&) = delete;
             virtual ~ConsoleWriter();
 
@@ -66,4 +65,8 @@
 
         private:
+            // non-copyable:
+            ConsoleWriter(const ConsoleWriter&) = delete;
+            ConsoleWriter& operator=(const ConsoleWriter&) = delete;
+
             std::ostream& outputStream_; ///< The ostream to which the console writer writes its output
             bool bEnabled_;              ///< If false, the instance will not write output to the console.
Index: code/branches/cpp11_v2/src/libraries/util/output/LogWriter.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/LogWriter.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/util/output/LogWriter.h	(revision 10992)
@@ -57,5 +57,4 @@
         public:
             LogWriter();
-            LogWriter(const LogWriter&) = delete;
             virtual ~LogWriter();
 
@@ -73,4 +72,8 @@
 
         private:
+            // non-copyable:
+            LogWriter(const LogWriter&) = delete;
+            LogWriter& operator=(const LogWriter&) = delete;
+
             void openFile();
             void closeFile();
Index: code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/util/output/MemoryWriter.h	(revision 10992)
@@ -68,5 +68,4 @@
         public:
             MemoryWriter();
-            MemoryWriter(const MemoryWriter&) = delete;
             virtual ~MemoryWriter();
 
@@ -78,4 +77,8 @@
 
         private:
+            // non-copyable:
+            MemoryWriter(const MemoryWriter&) = delete;
+            MemoryWriter& operator=(const MemoryWriter&) = delete;
+
             std::vector<Message> messages_; ///< Stores all output messages from the creation of this instance until disable() is called.
     };
Index: code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/libraries/util/output/OutputManager.h	(revision 10992)
@@ -67,5 +67,4 @@
         public:
             OutputManager();
-            OutputManager(const OutputManager&) = delete;
             virtual ~OutputManager();
 
@@ -115,4 +114,8 @@
 
         private:
+            // non-copyable:
+            OutputManager(const OutputManager&) = delete;
+            OutputManager& operator=(const OutputManager&) = delete;
+
             void updateMasks();
             void updateCombinedLevelMask();
Index: code/branches/cpp11_v2/src/orxonox/CameraManager.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/CameraManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/orxonox/CameraManager.h	(revision 10992)
@@ -59,5 +59,7 @@
 
         private:
+            // non-copyable:
             CameraManager(const CameraManager&) = delete;
+            CameraManager& operator=(const CameraManager&) = delete;
 
             std::list<Camera*>    cameraList_;
Index: code/branches/cpp11_v2/src/orxonox/LevelManager.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/LevelManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/orxonox/LevelManager.h	(revision 10992)
@@ -109,5 +109,7 @@
 
         private:
+            // non-copyable:
             LevelManager(const LevelManager&) = delete;
+            LevelManager& operator=(const LevelManager&) = delete;
 
             void activateNextLevel(); //!< Activate the next level.
Index: code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h	(revision 10991)
+++ code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h	(revision 10992)
@@ -53,5 +53,7 @@
 
         protected:
+            // non-copyable:
             ChatManager(const ChatManager&) = delete;
+            ChatManager& operator=(const ChatManager&) = delete;
 
             virtual void incomingChat(const std::string& message, unsigned int sourceID) override;