Index: code/branches/cpp11_v2/src/modules/gametypes/OldRaceCheckPoint.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 11000)
@@ -49,5 +49,5 @@
 
         this->setRadarObjectColour(ColourValue::Blue);
-        this->setRadarObjectShape(RadarViewable::Triangle);
+        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
         this->setRadarVisibility(false);
     }
Index: code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.cc	(revision 11000)
@@ -53,5 +53,5 @@
 
         this->setRadarObjectColour(ColourValue::Blue);
-        this->setRadarObjectShape(RadarViewable::Triangle);
+        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
         this->setRadarVisibility(false);
         this->settingsChanged();
Index: code/branches/cpp11_v2/src/modules/objects/triggers/CheckPoint.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/triggers/CheckPoint.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/modules/objects/triggers/CheckPoint.cc	(revision 11000)
@@ -56,5 +56,5 @@
 
         this->setRadarObjectColour(ColourValue::Green);
-        this->setRadarObjectShape(RadarViewable::Dot);
+        this->setRadarObjectShape(RadarViewable::Shape::Dot);
         this->setRadarVisibility(false);
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 11000)
@@ -65,7 +65,7 @@
         this->setMaximumDotSize3D(0.07f);
 
-        this->shapeMaterials_[RadarViewable::Dot]      = "RadarDot.png";
-        this->shapeMaterials_[RadarViewable::Triangle] = "RadarTriangle.png";
-        this->shapeMaterials_[RadarViewable::Square]   = "RadarSquare.png";
+        this->shapeMaterials_[RadarViewable::Shape::Dot]      = "RadarDot.png";
+        this->shapeMaterials_[RadarViewable::Shape::Triangle] = "RadarTriangle.png";
+        this->shapeMaterials_[RadarViewable::Shape::Square]   = "RadarSquare.png";
         this->owner_ = nullptr;
 
Index: code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.cc	(revision 11000)
@@ -57,5 +57,5 @@
 
         this->setRadarObjectColour(ColourValue::White);
-        this->setRadarObjectShape(RadarViewable::Dot);
+        this->setRadarObjectShape(RadarViewable::Shape::Dot);
         this->setRadarVisibility(true);
         if( GameMode::isMaster() )
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.cc	(revision 11000)
@@ -41,5 +41,5 @@
         //Make the Field visible on Radar and minimap.
         this->setRadarObjectColour(ColourValue(1.0, 0.0, 0.2,1)); // Red
-        this->setRadarObjectShape(RadarViewable::Dot);
+        this->setRadarObjectShape(RadarViewable::Shape::Dot);
         this->setRadarObjectScale(1.0f);
         
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.cc	(revision 11000)
@@ -128,5 +128,5 @@
 
         this->setRadarObjectColour(ColourValue(1.0, 0.5, 0.0)); // orange
-        this->setRadarObjectShape(RadarViewable::Triangle);
+        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
         this->setRadarObjectScale(0.5f);
     }
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.cc	(revision 11000)
@@ -128,5 +128,5 @@
 
         this->setRadarObjectColour(ColourValue(1.0, 0.5, 0.0)); // orange
-        this->setRadarObjectShape(RadarViewable::Triangle);
+        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
         this->setRadarObjectScale(0.5f);
     }
Index: code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 11000)
@@ -101,5 +101,5 @@
 
         this->setRadarObjectColour(ColourValue(1.0, 1.0, 0.0)); // yellow
-        this->setRadarObjectShape(RadarViewable::Triangle);
+        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
         this->setRadarObjectScale(0.5f);
     }
Index: code/branches/cpp11_v2/src/orxonox/Radar.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Radar.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/orxonox/Radar.cc	(revision 11000)
@@ -55,7 +55,7 @@
         // TODO: make this mapping configurable. Maybe there's a possibility with self configured
         //       configValues..
-        this->objectTypes_["Asteroid"] = RadarViewable::Dot;
-        this->objectTypes_["SpaceShip"] = RadarViewable::Square;
-        this->objectTypes_["AsdfQwerty"] = RadarViewable::Triangle;
+        this->objectTypes_["Asteroid"] = RadarViewable::Shape::Dot;
+        this->objectTypes_["SpaceShip"] = RadarViewable::Shape::Square;
+        this->objectTypes_["AsdfQwerty"] = RadarViewable::Shape::Triangle;
 
         /*WorldEntity* object;
@@ -113,5 +113,5 @@
         std::map<std::string, RadarViewable::Shape>::iterator it = this->objectTypes_.find(name);
         if (it == this->objectTypes_.end())
-            return this->objectTypes_[name] = RadarViewable::Square; // default, configure!!
+            return this->objectTypes_[name] = RadarViewable::Shape::Square; // default, configure!!
         else
             return this->objectTypes_[name];
Index: code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.cc	(revision 11000)
@@ -49,5 +49,5 @@
         , wePtr_(wePtr)
         , radarObjectCamouflage_(0.0f)
-        , radarObjectShape_(Dot)
+        , radarObjectShape_(Shape::Dot)
         , radarObjectDescription_("staticObject")
         , scale_(1.0f)
Index: code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.h	(revision 10999)
+++ code/branches/cpp11_v2/src/orxonox/interfaces/RadarViewable.h	(revision 11000)
@@ -49,5 +49,5 @@
     {
     public:
-        enum Shape
+        enum class Shape
         {
             Square,
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11000)
@@ -94,5 +94,5 @@
 
         this->setRadarObjectColour(ColourValue::Red);
-        this->setRadarObjectShape(RadarViewable::Dot);
+        this->setRadarObjectShape(RadarViewable::Shape::Dot);
 
         this->registerVariables();
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 10999)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 11000)
@@ -51,5 +51,5 @@
         }
 
-        this->setRadarObjectShape(RadarViewable::Triangle);
+        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
     }
 